
class labelCreator {
    inherit objectCreator
    method createObject {token xuiBuilder}
}

body labelCreator::createObject {token xuiBuilder} {
    if [string length [set parentName [$xuiBuilder cget -currentParentName]]] {
	set name $parentName.[dom::getAttribute $token name]
    } else {
	set name ::#auto
    }
    set xuiLabel [xuiLabel $name]
    set value [dom::getAttribute $token value]  
    $xuiLabel setValue $value
    $xuiLabel setDefault $value
    return $xuiLabel
}


